OpenSCAD Maillage miroir

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page OpenSCAD MirrorMeshFeature and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

OpenSCAD MirrorMeshFeature.svg OpenSCAD Maillage miroir

Emplacement du menu
OpenSCAD → Mirror Mesh Feature
Ateliers
OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Mise en miroir


Description

Crée un nouvel objet maillé en miroir, reflété autour de l'axe sélectionné.


Utilisation

  1. Sélectionnez l'objet maillé à mettre en miroir.
  2. Cliquez sur le menu OpenSCAD → Mirror Mesh Feature... .
  3. Sélectionnez l'axe souhaité dans la boîte de dialogue, ou entrez votre propre axe personnalisé à utiliser et cliquez sur OK.
  • Un nouvel objet est créé et mis en miroir, l'objet d'origine est masqué.

Limitations

  • Le nouvel objet maillé n'est pas paramétrique par rapport à l'objet maillé d'origine, ce qui signifie que les modifications apportées à l'objet d'origine ne sont pas reflétées dans le nouvel objet en miroir.

Remarques

  • La fonction ne modifie pas le maillage existant mais renvoie un nouveau maillage.
  • La fonction est accessible via python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
mirrored_mesh = OpenSCADUtils.mirrormesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(mirrored_mesh)